<form [formGroup]="housingLevelGroup">
  <div class="content-sub">      
    <mat-checkbox-group  aria-label="Select an option" class="radio-button">
      <mat-checkbox  formControlName="chkboxCtrl" [value]="item.typeId" (change)="onChange($event)">{{item.description}}</mat-checkbox>
    </mat-checkbox-group>
    <mat-form-field class="text-area" *ngIf="(item.description =='Other:' || item.description =='Other') && showCtrl" appearance="outline">
      <textarea formControlName="txtareaCtrl" maxlength="250" (change)="onTextChange()" 
          cdkTextareaAutosize
          cdkAutosizeMinRows="1"
          cdkAutosizeMaxRows="4" 
          maxlength="250" matInput></textarea>
    </mat-form-field>
  </div>  
</form>